#!/bin/bash
#===================================================================
# June 2023 -Mehrnaz Ayazi
#Takes snapshots of the sim
#Might need to change the color in tex file for different figures
#===================================================================
basedir="$PROJ/chns_project"
ex="$basedir/example_scripts"
sc="$basedir/Figures/scripts"

fig="$1"
mkdir -p $fig/logs $fig/tex $fig/txt $fig/pdfs
shift

source $sc/surface_snapshot.sh $fig

    (f dam_break "dam_break_0" "\\\\(x\\\\)" "\\\\(y\\\\)" 0 0.1 0.0 0.2288 20 10 7 140 0.005715 0 0.05 0.05 "white" "yellow")
    (create_db_graph "dam_break_0" 0.0 1.1 0.0 4 dam_break)
  wait
