#!/bin/bash
#===================================================================
# June 2024 - Jason Goulding
# Takes snapshots of the equilibrium drop sims
#===================================================================
basedir="$PROJ/chns_project"
ex="$basedir/example_scripts"
sc="$basedir/Figures/scripts"

fig="$1"
mkdir -p $fig/logs $fig/tex $fig/txt $fig/pdfs
shift

source $sc/surface_snapshot.sh $fig

f equilibrium_drop "equilibrium_0" "\\\\(x\\\\)" "\\\\(y\\\\)" 0 2 -3 3 15 6 125 125 0.008 0 1 0.5 "white" "yellow"
f equilibrium_drop "equilibrium_1" "\\\\(x\\\\)" "\\\\(y\\\\)" 0 2 -3 3 15 6 125 125 0.008 0 1 0.5 "white" "yellow"
f equilibrium_drop "equilibrium_2" "\\\\(x\\\\)" "\\\\(y\\\\)" 0 2 -3 3 15 6 125 125 0.008 0 1 0.5 "white" "yellow"
f equilibrium_drop "equilibrium_3" "\\\\(x\\\\)" "\\\\(y\\\\)" 0 2 -3 3 15 6 125 125 0.008 0 1 0.5 "white" "yellow"
f equilibrium_drop "equilibrium_4" "\\\\(x\\\\)" "\\\\(y\\\\)" 0 2 -3 3 15 6 125 125 0.008 0 1 0.5 "white" "yellow"

wait
