#!/usr/bin/env python

import sys
import math

frames = 100

fig = sys.argv[1]

try:
    a = sys.argv[2]
    frames = a
except:
    pass

file = open(fig+"/q_nonperiodic_test_"+str(frames)+"_opt/q_error_table.txt", 'r')

print("\\begin{tabular}{|c|c|c|c|}")
print("\\hline")
print("$q$ & $b$ & $L_{2}$ & $L_{\\infty}$ \\\\")
print("\\hline")

b = []
q = []
L2 = []
Linf = []
for line in file:
    words = line.split()
    b.append(float(words[0]))
    q.append(float(words[1]))
    L2.append(float(words[2]))
    Linf.append(float(words[3]))

for i, r in enumerate(b):
    print("{:.2e} & {:.2e} & {:.2e} & {:.2e} \\\\ ".format(q[i],b[i],L2[i],Linf[i]))
print("\\hline")
print("\\end{tabular}")

