set terminal epslatex color
set output ARG2
# set title "Angle Between Surface Tension and Gradient"
set xlabel "x"
set ylabel "y"
set xrange [0:1]
set yrange [0:1]
# set terminal wxt size 700,400 font "Verdana,10" 
set size ratio -1
set cbrange [ARG3:ARG4]
set palette rgbformulae 22,13,-31
# set label 1 at -1, 0.5 "Surface Tension" centre
unset label
unset key
set object 1 circle at graph 0.5,0.5 size 0.2 front fc rgb "white" lw 4 dashtype 2
set pm3d map # no interpolation
#set pm3d map interpolate 1,3 # no interpolation in y, 3 interpolation in x
#set pm3d map interpolate 0,0 # automatic interpolation
splot ARG1