#! /usr/bin/env bash
basedir="$PROJ/chns_project"
ex="$basedir/example_scripts"
sc="$basedir/Figures/scripts"

fig="$1"
mkdir -p $fig/logs $fig/tex $fig/txt $fig/pdfs
shift

newtontol=1e-14
r=0.02
steps=1

mkdir $fig/meta_output

for i in {0..4}; do
    b_test=$(perl -e 'print 0.01/(10**'$i')')
    $sc/paper_tests_periodic_ch.sh $fig 1 $steps "-ch_optimizer -ch_n_tol $newtontol -ch_min $r -ch_b $b_test"
    cp $fig/refine_periodic_ch_test_"$steps"/total_summary.txt $fig/meta_output/summary_"$steps"_"$b_test".txt
done
    
