#!/bin/bash
basedir="$PROJ/chns_project"
ex="$basedir/example_scripts"
sc="$basedir/Figures/scripts"

fig="$1"
mkdir -p $fig/logs $fig/tex $fig/txt $fig/pdfs
shift

$basedir/chns -test 26 -frame_dt 0.01 -e 10 -ch_eta 0.01 -res 64 -tol 1e-12 -rho0 10 -rho1 1 -spf 20 -range_scale "0 1" -o $fig/output/single_spheres_volume_1_.9 -no_require_convergence -ch_gamma_stats -substeps 2 -no_adv -no_st_force -density_stats >/dev/null &
$basedir/chns -test 27 -frame_dt 0.01 -e 10 -ch_eta 0.01 -res 64 -tol 1e-12 -rho0 10 -rho1 1 -spf 20 -range_scale "0 1" -o $fig/output/unequal_spheres_volume_1_.9 -no_require_convergence -ch_gamma_stats -substeps 2 -no_adv -no_st_force -density_stats >/dev/null &
$basedir/chns -test 28 -frame_dt 0.01 -e 10 -ch_eta 0.01 -res 64 -tol 1e-12 -rho0 10 -rho1 1 -spf 20 -range_scale "0 1" -o $fig/output/single_spheres_volume_1_.01 -no_require_convergence -ch_gamma_stats -substeps 2 -no_adv -no_st_force -density_stats >/dev/null &

wait


